=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

CDBS_BUILD_DEPENDS += , cdbs (>= 0.4.93~)  # for $(DEB_HOST_MULTIARCH)

# Debhelper 9 isn’t released yet
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper (>= 8.1.3~)

# dh_buildinfo fails at multiarch: http://bugs.debian.org/620104
CDBS_BUILD_DEPENDS_rules_debhelper_buildinfo =

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
DEB_DBG_PACKAGE_libyaml-0-2 = libyaml-0-2-dbg
