=== debian/watch ===
version=3
http://pyyaml.org/download/libyaml/yaml-(.*)\.tar\.gz
