=== debian/control ===
Source: libyaml
Section: libs
Priority: optional
Maintainer: Anders Kaseorg <andersk@mit.edu>
Build-Depends: cdbs (>= 0.4.93~),
 autotools-dev,
 debhelper (>= 9~),
 dh-buildinfo (>= 0.9+nmu1~),
 dh-autoreconf
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: http://pyyaml.org/wiki/LibYAML
Vcs-Git: git://andersk.mit.edu/libyaml.git
Vcs-Browser: http://andersk.mit.edu/gitweb/libyaml.git

Package: libyaml-0-2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fast YAML 1.1 parser and emitter library
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.

Package: libyaml-0-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libyaml-0-2 (= ${binary:Version})
Description: Fast YAML 1.1 parser and emitter library (debugging symbols)
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.
 .
 This package contains detached debuging symbols for the library found
 in libyaml-0-2.

Package: libyaml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libyaml-0-2 (= ${binary:Version})
Suggests: libyaml-doc
Description: Fast YAML 1.1 parser and emitter library (development)
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.
 .
 This package contains development headers and static libraries.

Package: libyaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Fast YAML 1.1 parser and emitter library (documentation)
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.
 .
 This package contains API documentation for developers in HTML
 format, and some example programs from the LibYAML distribution.
