## libyaml 0.1.7

=== debian/changelog ===
libyaml (0.1.7-2ubuntu3) artful; urgency=medium

  * Revert the testsuite fix patch, so this way this
    becomes a sync candidate in case Debian adopts it.
    - the haskell failing test is now disabled

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 16:11:05 +0200

libyaml (0.1.7-2ubuntu2) artful; urgency=medium

  [ James Clarke ]
  * debian/patches/testsuite-fix.patch:
    - disable previous patch with a better one.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jun 2017 07:54:35 +0200

libyaml (0.1.7-2ubuntu1) artful; urgency=medium

  * debian/patches/56400d976a1999156b1abfd674c3122843980260.patch:
    cherry-pick upstream fix for a testsuite failure.
  * Move watch and homepage to new github maintained repo.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Jun 2017 18:29:36 +0200

libyaml (0.1.7-2) unstable; urgency=medium

  * Clean doxygen-generated documentation with dh_doxygen.
  * Mark libyaml-doc Multi-Arch: foreign.
  * Add libyaml-0-2.symbols file.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 30 Sep 2016 22:06:09 -0400

libyaml (0.1.7-1) unstable; urgency=medium

  * New upstream version 0.1.7.
    + Fix segfault in yaml_string_write_handler.
    + Fix invalid simple key assertion.
  * Drop upstreamed patches.
  * Migrate packaging from CDBS to dh.
  * Drop libyaml-0-2-dbg in favor of automatically generated
    libyaml-0-2-dbgsym package.

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 03 Sep 2016 06:48:38 -0400
