=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Anders Kaseorg <andersk@mit.edu>
-Build-Depends: cdbs (>= 0.4.93~),
- autotools-dev,
- debhelper (>= 9~),
+Build-Depends: autotools-dev,
+ debhelper (>= 9.20120608~),
  dh-buildinfo (>= 0.9+nmu1~),
  dh-autoreconf
-Build-Depends-Indep: doxygen
+Build-Depends-Indep: doxygen (>= 1.8.4-1~)
 Standards-Version: 3.9.6
 Homepage: http://pyyaml.org/wiki/LibYAML
 Vcs-Git: git://andersk.mit.edu/libyaml.git
@@ -21,19 +20,6 @@
 Description: Fast YAML 1.1 parser and emitter library
  LibYAML is a C library for parsing and emitting data in YAML 1.1, a
  human-readable data serialization format.
-
-Package: libyaml-0-2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libyaml-0-2 (= ${binary:Version})
-Description: Fast YAML 1.1 parser and emitter library (debugging symbols)
- LibYAML is a C library for parsing and emitting data in YAML 1.1, a
- human-readable data serialization format.
- .
- This package contains detached debuging symbols for the library found
- in libyaml-0-2.
 
 Package: libyaml-dev
 Section: libdevel
@@ -50,6 +36,7 @@
 Package: libyaml-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Fast YAML 1.1 parser and emitter library (documentation)
  LibYAML is a C library for parsing and emitting data in YAML 1.1, a
