=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Anders Kaseorg <andersk@mit.edu>
-Build-Depends: autotools-dev,
- debhelper (>= 9.20120608~),
- dh-buildinfo (>= 0.9+nmu1~),
- dh-autoreconf
+Build-Depends: debhelper (>= 11),
+ dh-buildinfo (>= 0.9+nmu1~)
 Build-Depends-Indep: doxygen (>= 1.8.4-1~)
-Standards-Version: 3.9.6
-Homepage: http://pyyaml.org/wiki/LibYAML
+Standards-Version: 4.1.4
+Homepage: https://github.com/yaml/libyaml
 Vcs-Git: git://andersk.mit.edu/libyaml.git
 Vcs-Browser: http://andersk.mit.edu/gitweb/libyaml.git
