=== debian/changelog ===
libyaml (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2.
  * Bump Standards-Version to 4.4.0 and Debhelper compat to 12.

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 14 Sep 2019 19:50:18 -0700
