=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/dist-(\d\S*)\.tar\.gz/libyaml-$1\.tar\.gz/" \
  https://github.com/yaml/libyaml/releases .*/dist-(\d\S*)\.tar\.gz
