## libyaml 0.2.5

=== debian/changelog ===
libyaml (0.2.5-2build2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:23:29 +0000

libyaml (0.2.5-2build1) questing; urgency=medium

  * No-change rebuild for updated GCS property note on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Aug 2025 10:52:42 +0200

libyaml (0.2.5-2) unstable; urgency=medium

  * [61a6bd0] d/clean: fully clean source tree after build (Closes: #1047251)
  * [91e1921] d/control: drop B-D on unsatisfiable dh-buildinfo.
    Thanks to наб <nabijaczleweli@nabijaczleweli.xyz> (Closes: #1090771)
  * [07c8757] d/control: Standards-Version: 4.7.0 (no further changes
    required)
  * [875c7f3] d/copyright: adjust for current year

 -- Florian Ernst <florian@debian.org>  Thu, 19 Dec 2024 18:01:23 +0100

libyaml (0.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Repository, Repository-Browse.
  * Drop transition for old debug package migration.
  * Update standards version to 4.6.0, no changes needed.

  [ Florian Ernst ]
  * [de63dcd] debian/watch: update as per latest uscan recommendations.
    This allows detecting new upstream releases again and also migrates
    to the actual upstream source tarballs not containing any pre-built
    stuff like documentation, saving a bunch of lintian errors/warnings.
  * [1b08058] New upstream version 0.2.5 (Closes: #987895)
  * [dfbe297] debian/copyright: update years according to most recent changes
  * [183f9d4] upgrade to recommended debhelper-compat (= 13)
    But ignore libtool library during installation and simplify debian/rules
  * [982974f] debian/rules: enable hardening=+all
  * [1f7cabe] debian/libyaml-0-2.symbols: add Build-Depends-Package
    meta-information
  * [1104826] debian/control: declare Rules-Requires-Root: no
  * [8f2e2e6] debian/tests/: add upstream tests as autopkgtest
  * [f5e5378] Add Salsa pipeline via debian/salsa-ci.yml file
  * [88cfa12] salvaging the package and moving to Debian group on Salsa
    (Closes: #1012344)
  * [da1b78b] debian/control: Standards-Version: 4.6.1.0 (no further changes
    required)

 -- Florian Ernst <florian@debian.org>  Wed, 06 Jul 2022 16:45:09 +0200
