=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build-indep:
	$(MAKE) html

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_doxygen -plibyaml-doc
