=== debian/tests/control ===
Tests: upstream-tests
Depends:
 build-essential,
 pkg-config,
 libyaml-dev
